module.exports = {
  publicUrl: './',
  webpack: {
    devServer: config => ({
      ...config,
      port: 4000,
      proxy: {
        '/api/**': {
          target: 'https://web.medlinker.com',
          changeOrigin: true,
          secure: false,
          pathRewrite: {
            '^/api': '',
          },
        },
      },
    }),
    postcss: config => {
      config.plugins.push(
        require('postcss-px-to-viewport')({
          unitToConvert: 'px',
          viewportWidth: 750,
          unitPrecision: 5,
          propList: ['*'],
          viewportUnit: 'vw',
          fontViewportUnit: 'vw',
          selectorBlackList: [],
          minPixelValue: 1,
          mediaQuery: true,
          replace: true,
          exclude: [/node_modules/],
        })
      );
      return config;
    },
    plugins: config => config,
  },
  sentry: config => ({
    ...config,
    // 把你的路径放到这里
    urlPrefix: ['~/react-app'],
  }),
};
